const middleware = require('./middleware')
const pluginsList = require('./plugins')
const pluginsInteface = require('structure-plugins')
const request = require('supertest')
const Router = require('structure-router')
const Server = require('structure-server')

const plugins = pluginsInteface({
  list: pluginsList
})

module.exports = function MockHTTPServer(options = {}) {

  const api = new Server({
    router: new Router({
      middleware,
      routes: plugins.routes
    })
  })

  return request(api.server)
}
